Subject: debrelease: would be good to check that the Date: field is very recent

From: Julian Gilbey <[email-masked]>
Date: Wed, 18 Oct 2017 20:09:03 +0100

Package: devscripts
Version: 2.17.10
Severity: wishlist

Duh, I've been updating bits of a package I'm maintaining in git, and
over the last few days I've been tweaking bits to make it work,
rebuilding, tweaking, rebuilding....

Eventually it worked and I debrelease'd it.

Only to realise that the "Date" line in the changelog was days ago.

It would be nice if debrelease could check that the Date field in the
.changes file is, say, < 1 day old.

But this is probably a relatively rare error, and not particularly
critical, so most definitely only a wishlist.  Then again, it might be
that it would be better to address this in dupload and dput.

Best wishes,

   Julian